#!/bin/sh
export PATH='/usr/obj/ports/hs-semigroups-0.9.2/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/local/bin:/usr/X11R6/bin'
echo 'name: semigroups
version: 0.9.2
id: semigroups-0.9.2-a6437a835ddff6da55db04f82b8e831f

license: BSD3
copyright: Copyright (C) 2011 Edward A. Kmett
maintainer: Edward A. Kmett <ekmett@gmail.com>
stability: provisional
homepage: http://github.com/ekmett/semigroups/
package-url:
synopsis: Haskell 98 semigroups
description: Haskell 98 semigroups
             .
             In mathematics, a semigroup is an algebraic structure consisting of a set together with an associative binary operation. A semigroup generalizes a monoid in that there might not exist an identity element. It also (originally) generalized a group (a monoid with all inverses) to a type where every element did not have to have an inverse, thus the name semigroup.
category: Algebra, Data, Data Structures, Math
author: Edward A. Kmett
pkgpath: devel/hs-semigroups
exposed: True
exposed-modules: Data.Semigroup Data.List.NonEmpty
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/ghc/semigroups-0.9.2
library-dirs: /usr/local/lib/ghc/semigroups-0.9.2
hs-libraries: HSsemigroups-0.9.2
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: base-4.7.0.2-b11c3b9ddc2bebe1a3d85499c9ea3f18
         containers-0.5.5.1-171870bb1335468dfd35b06f64ad39aa
         nats-0.1-b91d095eab0ee7a8959b9a6c98b314e2
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/hs-semigroups-0.9.2/html/semigroups.haddock
haddock-html: /usr/local/share/doc/hs-semigroups-0.9.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
